aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThiago de Arruda <tpadilha84@gmail.com>2014-03-14 08:29:47 -0300
committerThiago de Arruda <tpadilha84@gmail.com>2014-03-14 08:29:47 -0300
commitc3a88eb8ea6098077b9b4c39d7d8c2b62daf7c5d (patch)
tree66646d20eaa7cf59b3866f9671fee2c39a276e69
parent7f23ec398de634ead63948a0dc5e52ea3cfb34a1 (diff)
downloadrneovim-c3a88eb8ea6098077b9b4c39d7d8c2b62daf7c5d.tar.gz
rneovim-c3a88eb8ea6098077b9b4c39d7d8c2b62daf7c5d.tar.bz2
rneovim-c3a88eb8ea6098077b9b4c39d7d8c2b62daf7c5d.zip
Remove remaining hangul-related code
-rwxr-xr-xscripts/travis.sh19
-rw-r--r--src/edit.c7
-rw-r--r--src/eval.c1
-rw-r--r--src/globals.h5
-rw-r--r--src/mbyte.c2
-rw-r--r--src/version.c1
6 files changed, 12 insertions, 23 deletions
diff --git a/scripts/travis.sh b/scripts/travis.sh
index fb5a770863..8b79930aa0 100755
--- a/scripts/travis.sh
+++ b/scripts/travis.sh
@@ -1,15 +1,19 @@
#!/bin/sh -e
check_and_report() {
- reset
(
cd $tmpdir
- if [ -f asan.* ] || [ -f tsan.* ] || [ -f ubsan.* ]; then
- cat $tmpdir/asan.* 2> /dev/null || true
- cat $tmpdir/tsan.* 2> /dev/null || true
- cat $tmpdir/ubsan.* 2> /dev/null || true
- exit 1
- fi
+ set -- [*]san.[*] *san.*
+ case $1$2 in
+ '[*]san.[*]*san.*')
+ ;;
+ *)
+ shift
+ cat "$@"
+ echo "Runtime errors detected"
+ exit 1
+ ;;
+ esac
)
}
@@ -36,6 +40,7 @@ if [ "$CC" = "clang" ]; then
make cmake CMAKE_EXTRA_FLAGS="-DCMAKE_INSTALL_PREFIX=$install_dir"
make
if ! make test; then
+ reset
check_and_report
fi
check_and_report
diff --git a/src/edit.c b/src/edit.c
index aa79302497..88d6ec0b8b 100644
--- a/src/edit.c
+++ b/src/edit.c
@@ -6975,13 +6975,6 @@ ins_esc (
static int disabled_redraw = FALSE;
check_spell_redraw();
-# if defined(ESC_CHG_TO_ENG_MODE)
- hangul_input_state_set(0);
-# endif
- if (composing_hangul) {
- push_raw_key(composing_hangul_buffer, 2);
- composing_hangul = 0;
- }
temp = curwin->w_cursor.col;
if (disabled_redraw) {
diff --git a/src/eval.c b/src/eval.c
index d5ed1b1e04..f8e6c5320c 100644
--- a/src/eval.c
+++ b/src/eval.c
@@ -10246,7 +10246,6 @@ static void f_has(typval_T *argvars, typval_T *rettv)
"fork",
#endif
"gettext",
- "hangul_input",
#if defined(HAVE_ICONV_H) && defined(USE_ICONV)
"iconv",
#endif
diff --git a/src/globals.h b/src/globals.h
index 6b158f5d9b..9d61735c85 100644
--- a/src/globals.h
+++ b/src/globals.h
@@ -672,11 +672,6 @@ EXTERN int (*iconvctl)(iconv_t cd, int request, void *argument);
EXTERN int* (*iconv_errno)(void);
# endif
-
-
-EXTERN int composing_hangul INIT(= 0);
-EXTERN char_u composing_hangul_buffer[5];
-
/*
* "State" is the main state of Vim.
* There are other variables that modify the state:
diff --git a/src/mbyte.c b/src/mbyte.c
index 44f0f9d643..546dfde999 100644
--- a/src/mbyte.c
+++ b/src/mbyte.c
@@ -3343,8 +3343,6 @@ char_u * mb_unescape(char_u **pp)
*/
int mb_lefthalve(int row, int col)
{
- if (composing_hangul)
- return TRUE;
return (*mb_off2cells)(LineOffset[row] + col,
LineOffset[row] + screen_Columns) > 1;
}
diff --git a/src/version.c b/src/version.c
index 9fbe15a038..030033cff7 100644
--- a/src/version.c
+++ b/src/version.c
@@ -94,7 +94,6 @@ static char *(features[]) =
"+fork()",
#endif
"+gettext",
- "+hangul_input",
#if (defined(HAVE_ICONV_H) && defined(USE_ICONV)) || defined(DYNAMIC_ICONV)
# ifdef DYNAMIC_ICONV
"+iconv/dyn",